%global goipath    github.com/jfrogdev/jfrog-cli-go
%global forgeurl   https://github.com/JFrogDev/jfrog-cli-go/
%global tag        1.14.0
Version: %{tag}

%global common_description %{expand:
JFrog CLI is a compact and smart client that provides a simple interface that
automates access to Artifactory, Bintray and Mission Control through their
respective REST APIs. By using the JFrog CLI, you can greatly simplify your
automation scripts making them more readable and easier to maintain. Several
features of the JFrog CLI makes your scripts more efficient and reliable:

* Multi-threaded upload and download of artifacts make builds run faster
* Checksum optimization reduces redundant file transfers
* Wildcards and regular expressions give you an easy way to collect all the
  artifacts you wish to upload or download.
* "Dry run" gives you a preview of file transfer operations before you actually
  run them}

%gometa

Name:           jfrog-cli
Release:        1%{?dist}
Summary:        REST API client to access JFrog Artifactory, Bintray and Mission Control
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/buger/jsonparser)
BuildRequires: golang(github.com/chzyer/readline)
BuildRequires: golang(github.com/codegangsta/cli)
BuildRequires: golang(github.com/jfrogdev/gofrog/parallel)
BuildRequires: golang(github.com/mattn/go-shellwords)
BuildRequires: golang(github.com/mholt/archiver)
BuildRequires: golang(github.com/spf13/viper)
BuildRequires: golang(github.com/xanzy/ssh-agent)
BuildRequires: golang(golang.org/x/crypto/ssh)
BuildRequires: golang(golang.org/x/crypto/ssh/terminal)
BuildRequires: golang(gopkg.in/src-d/go-git.v4)
BuildRequires: golang(gopkg.in/src-d/go-git.v4/plumbing)
BuildRequires: golang(gopkg.in/src-d/go-git.v4/plumbing/format/config)
BuildRequires: golang(gopkg.in/src-d/go-git.v4/plumbing/object)
BuildRequires: golang(gopkg.in/yaml.v2)

%description
%{common_description}

%package devel
Summary: %{summary}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description devel
%{common_description}

This package contains the source code needed for building packages that import
the %{goipath} Go namespace.

%prep
%gosetup -q
rm -rf vendor

%build
%gobuildroot
%gobuild -o _bin/jfrog %{goipath}/jfrog-cli/jfrog

%install
%goinstall

%check
%gochecks

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_bindir}/*

%changelog
* Wed Mar 21 2018 Dominik Mierzejewski <dominik.mierzejewski@citi.com> - 1.14.0-1
- First package for Fedora
